summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Alexander Bruy2012-06-03 02:04:43 +0200
committer Erik Hanson2012-06-03 22:21:15 +0200
commita03fa66b8e08f3bac3d985b876e1c71937a7cf39 (patch)
tree4b56cca7cdbf0f50bdf8edf0a074d037ada555db /libraries
parent7359faaf89eac913947a4e103edebf6260149a2c (diff)
downloadslackbuilds-a03fa66b8e08f3bac3d985b876e1c71937a7cf39.tar.gz
libraries/libspatialite: Added (extension for SQLite database)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libspatialite/README21
-rw-r--r--libraries/libspatialite/libspatialite.SlackBuild104
-rw-r--r--libraries/libspatialite/libspatialite.info10
-rw-r--r--libraries/libspatialite/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/libraries/libspatialite/README b/libraries/libspatialite/README
new file mode 100644
index 0000000000..6c80541bd3
--- /dev/null
+++ b/libraries/libspatialite/README
@@ -0,0 +1,21 @@
+SpatiaLite is an open source library intended to extend the SQLite core
+to support fully fledged Spatial SQL capabilities. SpatiaLite is smoothly
+integrated into SQLite to provide a complete and powerful Spatial DBMS
+(mostly OGC-SFS compliant). Using SQLite + SpatiaLite you can effectively
+deploy an alternative open source Spatial DBMS roughly equivalent to
+PostgreSQL + PostGIS.
+
+Required dependency:
+ * SQLite 3 (http://www.sqlite.org)
+
+Recommended dependensies (enabled by default):
+ * Proj.4 (http://trac.osgeo.org/proj/), available at SlackBuilds.org
+ * GEOS (http://trac.osgeo.org/geos/), available at SlackBuilds.org
+
+Optional dependency (enabled by default):
+ * FreeXL (https://www.gaia-gis.it/FreeXL/)
+
+If you don't want to build SpatiaLite with FreeXL support specify FREEXL=no
+to SlackBuild, for example
+
+ FREEXL=no sh libspatialite.SlackBuild
diff --git a/libraries/libspatialite/libspatialite.SlackBuild b/libraries/libspatialite/libspatialite.SlackBuild
new file mode 100644
index 0000000000..121d778fbe
--- /dev/null
+++ b/libraries/libspatialite/libspatialite.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for FreeXL
+# Copyright 2012 Alexander Bruy <alexander.bruy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libspatialite
+VERSION=${VERSION:-3.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+WITHFREEXL="--enable-freexl"
+if [ "${FREEXL:-yes}" = "no" ]; then
+ WITHFREEXL="--disable-freexl"
+fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-ldl" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ $WITHFREEXL \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL README README.coverage \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libspatialite/libspatialite.info b/libraries/libspatialite/libspatialite.info
new file mode 100644
index 0000000000..d8d74f79ba
--- /dev/null
+++ b/libraries/libspatialite/libspatialite.info
@@ -0,0 +1,10 @@
+PRGNAM="libspatialite"
+VERSION="3.0.1"
+HOMEPAGE="https://www.gaia-gis.it/fossil/libspatialite/index"
+DOWNLOAD="http://www.gaia-gis.it/gaia-sins/libspatialite-3.0.1.tar.gz"
+MD5SUM="450d1a0d9da1bd9f770b7db3f2509f69"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Alexander Bruy"
+EMAIL="alexander.bruy@gmail.com"
+APPROVED="dsomero"
diff --git a/libraries/libspatialite/slack-desc b/libraries/libspatialite/slack-desc
new file mode 100644
index 0000000000..3398e3586a
--- /dev/null
+++ b/libraries/libspatialite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libspatialite: SpatialLite (extension for SQLite database)
+libspatialite:
+libspatialite: SpatiaLite is an open source library intended to extend the SQLite
+libspatialite: core to support fully fledged Spatial SQL capabilities. SpatiaLite is
+libspatialite: smoothly integrated into SQLite to provide a complete and powerful
+libspatialite: Spatial DBMS (mostly OGC-SFS compliant).
+libspatialite:
+libspatialite:
+libspatialite: Project homepage: https://www.gaia-gis.it/fossil/libspatialite/home
+libspatialite:
+libspatialite: